
import doctest, simulatorFuncs
doctest.testmod(simulatorFuncs)

import unittest

modpath = "models"

allnom = modpath + "/cs65/spectre/allnom/"
pnps   = modpath + "/cs65/spectre/custom/pnps.scs;slow"
nmos   = modpath + "/gpdk/nmos.scs"
dead   = modpath + "/gpdk/deadlink/"
sampModList = [pnps, nmos, dead, allnom]

class TestMod(unittest.TestCase):

    def testCase1(self):
        self.assertEqual(simulatorFuncs.parseMods([allnom]),
                  ['models/cs65/spectre/allnom/nmos.scs   ',
                   'models/cs65/spectre/allnom/npn.scs   ',
                   'models/cs65/spectre/allnom/pmos.scs   ',
                   'models/cs65/spectre/allnom/pnp.scs   ',
                   'models/cs65/spectre/allnom/pnps.scs   ']    )

    def testCase2(self):
        self.assertEqual(simulatorFuncs.parseMods([pnps,allnom]),
                ['models/cs65/spectre/custom/pnps.scs   slow',
                 'models/cs65/spectre/allnom/nmos.scs   ',
                 'models/cs65/spectre/allnom/npn.scs   ',
                 'models/cs65/spectre/allnom/pmos.scs   ',
                 'models/cs65/spectre/allnom/pnp.scs']       )

if __name__ == '__main__':
    unittest.main()
