# -*- coding: utf-8 -*-
# cdp/cdplibs/sim/models/modelselector.py                             DMQ 7/9/04
'''Implementation functions for ModelSelector form '''

import cdplibs.main.config as config
from modelselectorbase import ModelSelectorBase
# functions unique to each simulator
exec('from %s.simulatorFuncs import parseMods, getSampleModlist' %
     config.simpkg )

class ModelSelector(ModelSelectorBase):

    '''Implementation functions for ModelSelector form.'''

    def __init__(self,parent = None,name = None,modal = 0,fl = 0):
        ModelSelectorBase.__init__(self,parent,name,modal,fl)

    def slotLoad(self):
        '''Load the model list into the form.'''
        self.textEdit1.setText( getSampleModlist() )
    
    def slotClearAll(self):
        '''Clear both input and output text boxes.'''
        self.textEdit1.clear()
        self.textEdit2.clear()
        self.outputTextLabel.clear()

    def slotClearOutput(self):
        '''Clear the output text box.'''
        self.textEdit2.clear()
        self.outputTextLabel.clear()

    def slotParse(self):
        '''Generate the complete model list, one model per line.'''
        self.outputTextLabel.setText(self.simComboBox.currentText())
        pystring = str(self.textEdit1.text())  # Convert QString to pystring
        modlist = pystring.splitlines()
        plist = parseMods(modlist)
        for p in plist:
            self.textEdit2.insert(p + '\n')

